| Qore ServerSentEventClient Module Reference 1.0

Loading...
Searching...
No Matches
Public Member Functions | Public Attributes | Protected Member Functions | List of all members
ServerSentEventClient::ServerSentEventClientWaitForMessageDataProvider Class Reference

ServerSentEvent client wait for message from server API data provider. More...

`#include <ServerSentEventClientWaitForMessageDataProvider.qc.dox.h>`

## Public Member Functions
| constructor (ServerSentEventClientDataProviderBase base)
| Creates the object.
| destructor ()
| Deletes the object.
string | getName ()
| Returns the data provider name.
hash< DataProviderInfo > | getStaticInfoImpl ()
| Returns data provider static info.

## Public Attributes
const | ProviderInfo = ...
| Provider info.
const | RequestType = ServerSentEventClientWaitForMessageRequestDataType
| Request type.
const | ResponseType = AbstractDataProviderTypeMap."any"
| Response type.

## Protected Member Functions
auto | doRequestImpl (auto req, *hash< auto > request_options)
| Makes a request and returns the response.
*AbstractDataProviderType | getRequestTypeImpl ()
| Returns the description of a successful request message, if any.
*AbstractDataProviderType | getResponseTypeImpl ()
| Returns the description of a response message, if this object represents a response message.

## Detailed Description

ServerSentEvent client wait for message from server API data provider.

## Member Function Documentation

## ◆ doRequestImpl()

auto ServerSentEventClient::ServerSentEventClientWaitForMessageDataProvider::doRequestImpl | ( | auto | req,
|  | *hash< auto > | request_options )
| protected

Makes a request and returns the response.

Parameters

  req | the request to serialize and make according to the request type
  request_options | the request options; will be processed by validateRequestOptions()

Returns
  the response to the request

## ◆ getRequestTypeImpl()

*AbstractDataProviderType ServerSentEventClient::ServerSentEventClientWaitForMessageDataProvider::getRequestTypeImpl | ( |  | ) |
| protected

Returns the description of a successful request message, if any.

Returns
  the request type for this provider

## ◆ getResponseTypeImpl()

*AbstractDataProviderType ServerSentEventClient::ServerSentEventClientWaitForMessageDataProvider::getResponseTypeImpl | ( |  | ) |
| protected

Returns the description of a response message, if this object represents a response message.

Returns
  the response type for this response message